aboutsummaryrefslogtreecommitdiffstats
path: root/testing/nethogs/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-11-21 13:41:45 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2016-11-21 13:41:52 +0100
commit79a98f3d81b97c38a8737544e8bfe026ed0e7e8c (patch)
treefc854623ebddd63d170ac01946c94909391c43ca /testing/nethogs/APKBUILD
parentecce70870b730a47d912c600127343fb9f8f9d1d (diff)
downloadaports-79a98f3d81b97c38a8737544e8bfe026ed0e7e8c.tar.gz
aports-79a98f3d81b97c38a8737544e8bfe026ed0e7e8c.tar.bz2
aports-79a98f3d81b97c38a8737544e8bfe026ed0e7e8c.tar.xz
testing/nethogs: upgrade to 0.8.5
Diffstat (limited to 'testing/nethogs/APKBUILD')
-rw-r--r--testing/nethogs/APKBUILD22
1 files changed, 14 insertions, 8 deletions
diff --git a/testing/nethogs/APKBUILD b/testing/nethogs/APKBUILD
index 6c8a215fc8..7aab19e6cc 100644
--- a/testing/nethogs/APKBUILD
+++ b/testing/nethogs/APKBUILD
@@ -2,27 +2,33 @@
# Contributor: Bartłomiej Piotrowski <nospam@bpiotrowski.pl>
# Maintainer: Jakub Jirutka <jakub@jirutka.cz>
pkgname=nethogs
-pkgver=0.8.1
-pkgrel=1
+pkgver=0.8.5
+pkgrel=0
pkgdesc="Top-like monitor for network traffic"
url="https://github.com/raboof/nethogs"
arch="all"
license="GPL"
makedepends="libpcap-dev linux-headers ncurses-dev"
subpackages="$pkgname-doc"
-source="$pkgname-$pkgver.tar.gz::https://github.com/raboof/$pkgname/archive/v$pkgver.tar.gz"
+source="$pkgname-$pkgver.tar.gz::https://github.com/raboof/$pkgname/archive/v$pkgver.tar.gz
+ set-version.patch
+ "
builddir="$srcdir/$pkgname-$pkgver"
build() {
cd "$builddir"
- make
+ VERSION="$pkgver" make nethogs
}
package() {
cd "$builddir"
- make prefix=/usr DESTDIR="$pkgdir" install
+ install -Dm755 src/nethogs "$pkgdir"/usr/sbin/nethogs || return 1
+ install -Dm644 doc/nethogs.8 "$pkgdir"/usr/share/man/man8/nethogs.8
}
-md5sums="cc0aed87c4cc67fc2ffc5f60aa67bf3d nethogs-0.8.1.tar.gz"
-sha256sums="4c30ef43814549974a5b01fb1a94eb72ff08628c5a421085b1ce3bfe0524df42 nethogs-0.8.1.tar.gz"
-sha512sums="f1af7bb7208d08fc3a51bb38ee475da5a7b8f8814e2a7a653057d0c5d6b4e73be7742ffef5569525822160971f81dd22212d6854483928e621cfddce8d98409f nethogs-0.8.1.tar.gz"
+md5sums="002fd7227d8ed2a8b0fcb0a1b44731bf nethogs-0.8.5.tar.gz
+8c00ec8ddaf768bdaa5c7246d32ba123 set-version.patch"
+sha256sums="6a9392726feca43228b3f0265379154946ef0544c2ca2cac59ec35a24f469dcc nethogs-0.8.5.tar.gz
+f957287746c307153d45e78c6908b59439e201d5830cc7d128cb2ebecdc50ee3 set-version.patch"
+sha512sums="a2be81fcebc9925dd8a0fd9f71c6e790206819e0cc5efeeeb0c741baa9fd25ec685a1784b6d331d938cf14381403f9c13d619509d0ffe713ce8786a83a380908 nethogs-0.8.5.tar.gz
+2746981a591e3fc93ddf27ccc3bb44e6e6ab5ed8607f39e527add16d90d2db614271cc4b724db8f5483ec1ccf3b2e76c92edc380e6a562240ba143b1efc5da24 set-version.patch"